org.jbpm.process.builder.dialect.mvel

## Class AbstractMVELBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder

- Direct Known Subclasses:
    MVELActionBuilder, MVELReturnValueEvaluatorBuilder

      public class AbstractMVELBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMVELBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectTypes(String key, org.drools.compiler.compiler.AnalysisResult analysis, ProcessBuildContext context)`
    `static String` | `delimitExpressions(String s)` Allows newlines to demarcate expressions, as per MVEL command line.
    `protected org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult` | `getAnalysis(org.drools.compiler.rule.builder.PackageBuildContext context, org.drools.compiler.lang.descr.BaseDescr descr, org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect, String text, Map<String,Class<?>> variables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMVELBuilder

          public AbstractMVELBuilder()

  - ### Method Detail

    - #### delimitExpressions

          public static String delimitExpressions(String s)

      Allows newlines to demarcate expressions, as per MVEL command line. If expression spans multiple lines (ie inside an unbalanced bracket) then it is left alone. Uses character based iteration which is at least an order of magnitude faster then a single simple regex.

    - #### getAnalysis

          protected org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult getAnalysis(org.drools.compiler.rule.builder.PackageBuildContext context,
                                                                                                 org.drools.compiler.lang.descr.BaseDescr descr,
                                                                                                 org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect,
                                                                                                 String text,
                                                                                                 Map<String,Class<?>> variables)

    - #### collectTypes

          protected void collectTypes(String key,
                                      org.drools.compiler.compiler.AnalysisResult analysis,
                                      ProcessBuildContext context)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.